# $Revision: 1.8 $, $Date: 2008/07/27 22:58:46 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	XML
%define		pnam	Filter-SAXT
Summary:	XML::Filter::SAXT - replicates SAX events to several SAX event handlers
Summary(pl.UTF-8):	XML::Filter::SAXT - powielanie zdarzeń SAX dla wielu funkcji obsługi zdarzeń SAX
Name:		perl-XML-Filter-SAXT
Version:	0.01
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	da65cbe1938bff4c8975014c80063e05
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Obsoletes:	perl-libxml-enno
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SAXT is like the Unix 'tee' command in that it multiplexes the input
stream to several output streams. In this case, the input stream is a
PerlSAX event producer (like XML::Parser::PerlSAX) and the output
streams are PerlSAX handlers or filters.

%description -l pl.UTF-8
SAXT jest modułem podobnym do uniksowego polecenia 'tee' pod tym
względem, że powiela strumień wejściowy na kilka strumieni
wyjściowych. W tym przypadku strumień wyjściowy to moduł tworzący
zdarzenia PerlSAX (jak XML::Parser::PerlSAX), a strumienie wyjściowe
są funkcjami obsługi lub filtrami PerlSAX.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/XML/Filter/SAXT.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-XML-Filter-SAXT.spec,v $
Revision 1.8  2008/07/27 22:58:46  arekm
- release 2

Revision 1.7  2007-02-13 08:06:38  glen
- tabs in preamble

Revision 1.6  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.5  2005/08/11 09:46:18  radek
- bcond_with(out) is followed by one \t, then bcond's name.

Revision 1.4  2004/11/03 22:30:55  paladine
- formatting

Revision 1.3  2004/05/05 19:22:10  qboosh
- pl desc

Revision 1.2  2004/05/05 00:44:20  ankry
- summary / desc, BR fixes

Revision 1.1  2004/05/05 00:27:08  ankry
- new
